function [ xk, lambda, J, iter ] = active_set_simple( A, b, C, r, xk  )
%Berechnet die Loesung von 1/2*x'*A*x+b'*x -> min, NB: C*x<=r
%mit der Strategie der aktiven Mengen.
%   Eingabe: Matrizen A, C, Vektoren b, r, Startvektor x0
%   Ausgabe: Loesung xk, zugehoeriger Lagrangemultiplikator lambda, 
%            Menge J der aktiven Indizes der Loesung xk, Anzahl der 
%            benoetigten Iterationen iter

iter = 0;
TOL = 1e-6;


while 1    
    iter = iter + 1;
    %Berechnung der aktiven J (und inaktiven! I) Indizes
    % --- TO DO --- %
    
    %Aufstellen und Loesen des Gleichungsystems (4.21)
    %Falls die Menge der aktiven Indizes nicht leer ist:
    if ~isempty(J)
        %Aufstellen der GleichungsNBs Dk*d=0 und Vorraussetzungen des NRV
        % --- TO DO --- %
        
        %Loesen des Gleichungsrestringierten Problems
        [ d, lambda ] = Nullraum( A, bk, Dk, g );
        
        %Ueberpruefe ob d zulaessige Abstiegsrichtung
        if all(abs(d)<=TOL)
            if all(lambda>=0)
                %Fall 1:
                % --- TO DO --- %
                
            else
                %Fall 2:
                %d ist keine zulaessige Abstiegsrichtung wegen
                %lambda_j<0 fuer einen Index j aus der aktiven Menge
                %Inaktivierungsschritt:
                % --- TO DO --- %
                
                %nach dem Inaktivierungsschritt ist d~=0 zulaessige 
                %Richtung in xk
                [ d, lambda ] = Nullraum( A, bk, Dk, g );
                %Berechne Schrittweite sigma und des neuen xk
                % --- TO DO --- %
                     
                
            end        
        else
            %Fall 3:
            %d~=0 ist zulaessige Richtung in xk,
            %berechne Schrittweite sigma und neues xk
            % --- TO DO --- %
            
        end
    else
        %Menge der aktiven Indizes leer. Loese unrestringiertes
        %Minimierungsproblem
        % --- TO DO --- %
               
    end
end    


end

